Blows up with rails3 and rails3.1 rc too #1

Open
millisami opened this Issue Jun 16, 2011 · 1 comment

Comments

Projects
None yet
2 participants

I tried to use this library with rails3 and rails3.1 rc too.
I put it inside the vendor/plugins directory and when I fire up the server, it blows up.
Surely, its due to the changes in the rails core. But don't know how to make it compatible with rails 3.x.x

The backtrace is

millisami at sachin in ~/codes/easy_esi_rails3 on master ✭
± rails s                                                                                            ruby-1.9.2-p180@bundler-rails-pre
=> Booting WEBrick
=> Rails 3.1.0.rc4 application starting in development on http://0.0.0.0:3000
=> Call with -d to detach
=> Ctrl-C to shutdown server
Exiting
/Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/activesupport-3.1.0.rc4/lib/active_support/core_ext/module/aliasing.rb:31:in `alias_method': undefined method `before' for class `ActionController::Caching::Actions::ActionCacheFilter' (NameError)
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/activesupport-3.1.0.rc4/lib/active_support/core_ext/module/aliasing.rb:31:in `alias_method_chain'
    from /Users/millisami/codes/easy_esi_rails3/vendor/plugins/easy_esi/lib/easy_esi.rb:46:in `<class:ActionCacheFilter>'
    from /Users/millisami/codes/easy_esi_rails3/vendor/plugins/easy_esi/lib/easy_esi.rb:40:in `<top (required)>'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/activesupport-3.1.0.rc4/lib/active_support/dependencies.rb:237:in `require'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/activesupport-3.1.0.rc4/lib/active_support/dependencies.rb:237:in `block in require'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/activesupport-3.1.0.rc4/lib/active_support/dependencies.rb:223:in `block in load_dependency'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/activesupport-3.1.0.rc4/lib/active_support/dependencies.rb:639:in `new_constants_in'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/activesupport-3.1.0.rc4/lib/active_support/dependencies.rb:223:in `load_dependency'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/activesupport-3.1.0.rc4/lib/active_support/dependencies.rb:237:in `require'
    from /Users/millisami/codes/easy_esi_rails3/vendor/plugins/easy_esi/init.rb:1:in `block in <class:Plugin>'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/plugin.rb:80:in `eval'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/plugin.rb:80:in `block in <class:Plugin>'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/initializable.rb:25:in `instance_exec'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/initializable.rb:25:in `run'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/initializable.rb:50:in `block in run_initializers'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/initializable.rb:49:in `each'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/initializable.rb:49:in `run_initializers'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/application.rb:96:in `initialize!'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/railtie/configurable.rb:30:in `method_missing'
    from /Users/millisami/codes/easy_esi_rails3/config/environment.rb:5:in `<top (required)>'
    from /Users/millisami/codes/easy_esi_rails3/config.ru:4:in `require'
    from /Users/millisami/codes/easy_esi_rails3/config.ru:4:in `block in <main>'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/rack-1.3.0/lib/rack/builder.rb:51:in `instance_eval'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/rack-1.3.0/lib/rack/builder.rb:51:in `initialize'
    from /Users/millisami/codes/easy_esi_rails3/config.ru:1:in `new'
    from /Users/millisami/codes/easy_esi_rails3/config.ru:1:in `<main>'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/rack-1.3.0/lib/rack/builder.rb:40:in `eval'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/rack-1.3.0/lib/rack/builder.rb:40:in `parse_file'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/rack-1.3.0/lib/rack/server.rb:200:in `app'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/commands/server.rb:46:in `app'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/rack-1.3.0/lib/rack/server.rb:301:in `wrapped_app'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/rack-1.3.0/lib/rack/server.rb:252:in `start'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/commands/server.rb:70:in `start'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/commands.rb:54:in `block in <top (required)>'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/commands.rb:49:in `tap'
    from /Users/millisami/.rvm/gems/ruby-1.9.2-p180@bundler-rails-pre/gems/railties-3.1.0.rc4/lib/rails/commands.rb:49:in `<top (required)>'
    from script/rails:6:in `require'
    from script/rails:6:in `<main>'
Owner

grosser commented Jun 17, 2011

please give the rails3 branch a try, if it works well ill replace master with it. (still need some work for rails 3.1 ...)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment